<!DOCTYPE html>
<html lang="en">
<head>
    <title>Task 58.40</title>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body>
    <div class="container">
        <div class="text-center my-4">
            <h2>DANH SÁCH SẢN PHẨM</h2>
        </div>
        <table class="table table-bordered table-striped table-hover text-center bg-light" id="product-table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Tên sản phẩm</th>
                    <th>Mã sản phẩm</th>
                    <th>Giá tiền</th>
                    <th>Ngày tạo</th>
                    <th>Ngày cập nhật</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>        
</body>
<script>
    $(document).ready(function(){
        var table = $("#product-table").DataTable({
            columns: [
                {data: "id"},
                {data: "tenSanPham"},
                {data: "maSanPham"},
                {data: "price"},
                {data: "ngayTao"},
                {data: "ngayCapNhat"}
            ]
        });
        
        $.ajax({
            url: "http://localhost:8080/products",
            type: "GET",
            dataType: "json",
            success: function(res){
                console.log(res);
                table.clear();
                table.rows.add(res);
                table.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
    })
</script>
</html>